'use strict';

const mongodb = require('mongodb');
const ObjectID = mongodb.ObjectID;

var url = 'mongodb://...';

// insert({ key: 'value1' });
// findAll().then(data => console.log(JSON.stringify(data)));

function insert(data) {
    mongodb.MongoClient.connect(url).then(db => {
        var c = db.collection('test-collection');
        c.insertOne(data).then(() => db.close());
    });
}

function findAll() {
    return mongodb.MongoClient.connect(url).then(db => {
        var c = db.collection('test-collection');
        return c.find().toArray().then(data => {
            db.close();
            return data;
        });
    });
}
